ONVIF::Device::Elements::AddIPAddressFilter(3)

NAME
ONVIF::Device::Elements::AddIPAddressFilter

DESCRIPTION
Perl data type class for the XML Schema defined element AddIPAddressFilter from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   IPAddressFilter

     $element->set_IPAddressFilter($data);
     $element->get_IPAddressFilter();

METHODS

  new
 my $element = ONVIF::Device::Elements::AddIPAddressFilter->new($data);

Constructor. The following data structure may be passed to new():

 {
   IPAddressFilter =>  { # ONVIF::Device::Types::IPAddressFilter
     Type => $some_value, # IPAddressFilterType
     IPv4Address =>  { # ONVIF::Device::Types::PrefixedIPv4Address
       Address => $some_value, # IPv4Address
       PrefixLength =>  $some_value, # int
     },
     IPv6Address =>  { # ONVIF::Device::Types::PrefixedIPv6Address
       Address => $some_value, # IPv6Address
       PrefixLength =>  $some_value, # int
     },
     Extension =>  { # ONVIF::Device::Types::IPAddressFilterExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL